"""
Enumeration representing the different signal types used in a sweep
"""

from enum import Enum

class SweepSignalType(Enum):
    """The type of signal used in the sweep function
    """
    SINE = 1
    """The Sine function sweep
    """
    SQUARE = 2
    """The Square function sweep
    """
    RAMP = 3
    """The Ramp function sweep
    """
