"""
The spacings used for the sweep
"""

from enum import Enum

class SweepSpacing(Enum):
    """The spacing used in the sweep function
    """
    LIN  = 1
    """A linear sweep
    """
    LOG  = 2
    """A logarithmic sweep
    """
    STEP = 3
    """A stepwise sweep
    """
